#include <slb_common.h>


/*
 * Get family type
 */
char *slb_get_family_type(const int type)
{
	switch (type) {
	case PF_INET6: return "ipv6";
	default: return "ipv4";
	}
}

/*
 * Get protocol type
 */
char *slb_get_protocol(const int type)
{
	switch (type) {
	case SOCK_STREAM: return "tcp";
	case SOCK_DGRAM: return "udp";
	default: return "unk";
	}
}

/*
 * Run a command and log the result
 */
int slb_run(char *cmd)
{
	int ret;

	Log(2, "Running [%s]...\n", cmd);
	ret = system(cmd);
	if (ret != 0)
		Log(0, "WARN: Command exit unsuccesfully (%d)!\n", ret);

	return ret;
}
